﻿using System;

namespace Tigraine
{
    public class Singleton
    {
        private static Singleton _Instance;
        private static readonly Object __LockObject = new object();

        public static Singleton GetInstance()
        {
            if (_Instance == null)
            {
                lock(__LockObject)
                {
                    if (_Instance == null)
                        _Instance = new Singleton();
                }
            }
            return _Instance;
        }

        private Singleton()
        {

        }
    }
}
